.about-us {
    padding: 100px 0;
}

.about-us__wrapper {
    display: flex;
    flex-direction: row;
    gap: 62px;
}

.about__text {
    display: flex;
    flex-direction: column;
    gap: 32px;
    max-width: 520px;
}

.about__text-title {
    font-family: e-Ukraine;
    font-weight: 400;
    font-style: Regular;
    font-size: 32px;
    leading-trim: NONE;
    line-height: 46px;
    letter-spacing: 0%;
    vertical-align: middle;
    color: #444444;
}

.about__text-desc {
    font-family: e-Ukraine;
    font-weight: 400;
    font-style: Regular;
    font-size: 16px;
    leading-trim: NONE;
    line-height: 27px;
    letter-spacing: -0.32px;
    vertical-align: middle;
    color: #444444;
}

.about__text-link {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.about__text-link a {
    text-decoration: none;
    font-family: e-Ukraine;
    font-weight: 400;
    font-style: Regular;
    font-size: 13.89px;
    leading-trim: NONE;
    line-height: 24px;
    letter-spacing: 0%;
    vertical-align: middle;
    color: #1e73be;
    padding-left: 40px;
}

.about__text-link a span {
    position: relative;
}

.about__text-link a span::before {
    content: "";
    position: absolute;
    top: 50%;
    transition: all 0.3s ease-in-out;
    left: -40px;
    transform: translateY(-50%);
    background: #1e73be;
    width: 25px;
    height: 1px;
}

.about-img {
    height: 100%;
    border-radius: 12px;
    overflow: hidden;
    width: 730px;
}

.about-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

@media screen and (max-width: 1024px) {
    .about-us {
        padding: 32px 0;
    }

    .about-us__wrapper {
        display: flex;
        flex-direction: column-reverse;
        gap: 24px;
    }

    .about__text {
        display: flex;
        flex-direction: column;
        gap: 16px;
        max-width: 100%;
    }
    .about__text-desc{
        font-size: 14px;
    }

    .about__text-title {
        font-size: 24px;
    }

    .about-img {
        width: 100%;
    }
}
